al_destroy_thread(3)

NAME

al_destroy_thread - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_destroy_thread(ALLEGRO_THREAD *thread)

DESCRIPTION

Free the resources used by a thread. Implicitly performs al_join_thread(3) on the thread if it hasn't been done already.

Does nothing if thread is NULL.

SEE ALSO

al_join_thread(3).